-- Deep Down Below by Fluffies
-- EU - Well of Eternity
local addonName, addonTable = ...
local game = DeepDownBelow


-- auras
  -- OnMelee == true : every base melee hit consumes one charge

addonTable.auras =
{
 -------------- Warrior --------------
 ["heroic_strike"] = { type = "buff",
                       id = "heroic_strike",
                       duration = -1,
                       charges = 1,
					   OnMelee = true,
					   effect = "heroicstrike_hit",
                       Stats = {["BonusMelee"] = "100%"}},
 ["enraged_regeneration"] =   { type = "hot",
                       id = "enraged_regeneration",
                       duration = 8,
					   dam = 1,
					   damsource = "S",
					   },
 ["berserker_rage"] = { type = "buff",
                       id = "berserker_rage",
                       duration = 3,
					   -- CC immunity
					   },
 
 -------------- Paladin --------------
 ["avenging_wrath"] = { type = "buff",
                       id = "avenging_wrath",
                       duration = 3,
					   Stats = {["Str"] = "100%", ["BonusSpell"] = "100%"},
					   },
 ["divine_shield"] = { type = "buff",
                       id = "divine_shield",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-75%", ["DamageMultiplier"] = "-50%"},
					   },
-------------- Death Knight --------------
 ["anti_magic_shell"] = { type = "buff",
                       id = "anti_magic_shell",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Rogue --------------
["recuperate"] =   { type = "hot",
                       id = "recuperate",
                       duration = 8,
					   dam = 1,
					   damsource = "A",
					   },
["combat_readiness"] = { type = "buff",
                       id = "combat_readiness",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Monk --------------
["fortifying_brew"] = { type = "buff",
                       id = "fortifying_brew",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Hunter --------------
["explosive_shot"] =   { type = "dot",
                       id = "explosive_shot",
                       duration = 3,
					   dam = 2,
					   damsource = "ak",
					   },
["deterrence"] = { type = "buff",
                       id = "deterrence",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Druid --------------
["rejuvenation"] = { type = "hot",
                       id = "rejuvenation",
                       duration = 8,
					   dam = 1,
					   damsource = "il",
					   },
["moonfire"] =   { type = "dot",
                       id = "moonfire",
                       duration = 8,
					   dam = 2,
					   damsource = "il",
					   },
["barkskin"] = { type = "buff",
                       id = "barkskin",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Priest --------------
["shadow_word_pain"] =   { type = "dot",
                       id = "shadow_word_pain",
                       duration = 6,
					   dam = 1,
					   damsource = "il",
					   },
["power_word_shield"] = { type = "buff",
                       id = "power_word_shield",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Warlock --------------
["immolate"] =   { type = "dot",
                       id = "immolate",
                       duration = 6,
					   dam = 1,
					   damsource = "il",
					   },
["demon_skin"] = { type = "buff",
                       id = "demon_skin",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Mage --------------
["mana_shield"] = { type = "buff",
                       id = "mana_shield",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
-------------- Shaman --------------
["fulmination"] = { type = "buff",
                       id = "fulmination",
                       duration = 4,
					   canstack = true,
					   },
["ancestral_guidance"] = { type = "buff",
                       id = "ancestral_guidance",
                       duration = 4,
					   Stats = {["DamageReduction"] = "-35%"},
					   },
}